Subject: Re: bug#10586: 23.3; cd in remote shell reset working directory to local home

From: Glenn Morris <[email-masked]>
Date: Wed, 25 Jan 2012 03:34:06 -0500

(Please keep 10586@debbugs included in replies.)

Alberto wrote:

> I think there is a misunderstanding. Is not the bash shell that believes to
> be in the local home.
> But Emacs.
> What happens is that the shell buffer lose synchronization  between the
> current dir of the shell and the variable that emacs to keep track of it
> (e.g. the one that is used to auto complete path in the shell).
> So if you want, typing pwd in the _shell_ gives the correct result,
> the remote home.
> M-x pwd instead returns the wrong result (the local home instead of
> something like
> /onan:~)

Oh yes, I overlooked that you said `M-x pwd' rather than just `pwd'.

>> What tramp connection method are you
>> using?
> scpc
> This is my default so in that particular connection is not shown explicitly.
>
> Does it happen with `emacs -Q'?
> Yes. It does. I run a separate test on a friend machine, the result is
> the same.
> However I did a test with current emacs trunk (24.something).
> On that one the problem cannot be reproduced.

I also can reproduce it in Emacs 23.3, but not in the current trunk, so
it looks like this has been fixed. It's not the kind of thing suitable
for backporting to the emacs-23 branch at this stage, so the fix will
appear in the 24.1 release.